Last Comment Bug 540444 - Unable to focus addresses using the mouse in Mailing List dialog
: Unable to focus addresses using the mouse in Mailing List dialog
Status: RESOLVED FIXED
: fixed-seamonkey2.0.3
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Address Book & Contacts (show other bugs)
: SeaMonkey 2.0 Branch
: All All
: -- major (vote)
: seamonkey2.1a1
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-18 09:17 PST by Ed
Modified: 2010-02-05 10:46 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
move allowevents attribute (1.34 KB, patch)
2010-01-18 13:33 PST, Jens Hatlak (:InvisibleSmiley)
mnyromyr: review+
Details | Diff | Splinter Review
patch v1a, r=Mnyromyr [Checkin: comment 6] (1.36 KB, patch)
2010-01-29 15:23 PST, Jens Hatlak (:InvisibleSmiley)
jh: review+
neil: superreview+
neil: approval‑seamonkey2.0.3+
Details | Diff | Splinter Review

Description Ed 2010-01-18 09:17:20 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.7) Gecko/20100104 SeaMonkey/2.0.2
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.7) Gecko/20100104 SeaMonkey/2.0.2

In 'address book' when editing a 'mailing list' by double clicking on that list a window appears with all addresses on the list and the cursor at the bottom on the next empty line.  This is great for adding an address, but it is not possible to highlight an existing address to remove it from the list without removing it from the address book itself.  There are many that ask to be removed from a mailing list but still want to be in the address book.  This has been reported by more than one user.

Reproducible: Always

Steps to Reproduce:
1. Click on address book
2. Double click on a mailing list
3. try to delete an address from the listing.
Actual Results:  
Unable to highlight or remove individual address from the mailing list.

Expected Results:  
Should be able to remove an address from a 'mailing list' without having to remove it from the 'address book'.
Comment 1 Ed 2010-01-18 09:25:52 PST
Chris Bee also reported the problem with SM 2.0.2 using Macosx 10.5.8.
Comment 2 Jens Hatlak (:InvisibleSmiley) 2010-01-18 10:33:53 PST
Confirming on both 2.0 branch and trunk, WinXP (haven't checked other platforms).

Deleting works if you use (Shift+) Tab to focus an address and then use Del or Backspace. Adjusting summary.

Hint for solution: TB (which has almost the same dialog) is unaffected. It seems to be using abMailListDialog.xul instead of abListOverlay.xul (which should probably be moved to suite/ some day). TB has allowevents="true" on the <listitem>. I don't know whether that makes the difference. Karsten?
Comment 3 Ed 2010-01-18 11:41:56 PST
Help file didn't make mention of the (Shift+)Tab option.  It does work as Jens Hatlak describes above.  According to help file it should work as I expected (from the help file):

1. Open the Window menu and choose Address Book.

2.   Expand the address book containing your mailing list by clicking the
    small triangle beside the address book title.

3.   Highlight the mailing list by clicking its name. The list members appear
    to the right of the mailing list name.

4.   Click the entry you wish to delete.

5.   Click the Delete button.
Comment 4 Jens Hatlak (:InvisibleSmiley) 2010-01-18 13:33:22 PST
Created attachment 422255 [details] [diff] [review]
move allowevents attribute

After wasting >1h just to find that you need to get rid of the per-profile XUL cache file for the changes to take effect... Here's a first draft patch. Not requesting sr or taking bug yet; I'd like to know whether this is the way to go first. Questions:

1. Does it make sense to realign/-order the attributes or is that overshooting the mark? I'll let you decide, Karsten.

2. abListOverlay.xul seems to be used only by SM (anymore?). Should we move it as part of this bug? If yes that would require different patches for branch and trunk (given branch approval, which is yet another question to be asked another time).
Comment 5 Karsten Düsterloh 2010-01-29 14:53:17 PST
Comment on attachment 422255 [details] [diff] [review]
move allowevents attribute

(In reply to comment #2)
> Confirming on both 2.0 branch and trunk, WinXP (haven't checked other
> platforms).

Happens on Linux as well.

(In reply to comment #4)
> 1. Does it make sense to realign/-order the attributes

Just put the flex on its own line as well, no need to touch the other lines.

> 2. abListOverlay.xul seems to be used only by SM (anymore?). Should we move it
> as part of this bug?

No need to complicate matters here, just split that off into another bug.
Comment 6 Jens Hatlak (:InvisibleSmiley) 2010-01-29 15:23:16 PST
Created attachment 424336 [details] [diff] [review]
patch v1a, r=Mnyromyr [Checkin: comment 6]

Safe, SM-only fix for a usability problem.


(In reply to comment #5)
> > 2. abListOverlay.xul seems to be used only by SM (anymore?). Should we move
> > it as part of this bug?
> 
> No need to complicate matters here, just split that off into another bug.

Filed Bug 543129.

Note You need to log in before you can comment on or make changes to this bug.